<?php

/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/
function quasar_form_system_theme_settings_alter(&$form, &$form_state){
	
	$grid1 = drupal_map_assoc(array(12));
	$grid2 = drupal_map_assoc(array('2|10','3|9','4|8','5|7','6|6','7|5','8|4','9|3','10|2'));
	$grid3 = drupal_map_assoc(array('2|2|8','2|3|7','2|4|6','2|5|5','2|6|4','2|7|3','2|8|2','3|2|7','3|3|6','3|4|5','3|5|4','3|6|3','3|7|2','4|2|6','4|3|5','4|4|4','4|5|3','4|6|2','5|2|5','5|3|4','5|4|3','5|5|2','6|2|4','6|3|3','6|4|2','7|2|3','7|3|2','8|2|2'));
	$grid4 = drupal_map_assoc(array('2|2|2|6','2|2|3|5','2|2|4|4','2|2|5|3','2|2|6|2','2|3|2|5','2|3|3|4','2|3|4|3','2|3|5|2','2|4|2|4','2|4|3|3','2|4|4|2','2|5|2|3','2|5|3|2','2|6|2|2','3|2|2|5','3|2|3|4','3|2|4|3','3|2|5|2','3|3|2|4','3|3|3|3','3|3|4|2','3|4|2|3','3|4|3|2','3|5|2|2','4|2|2|4','4|2|3|3','4|2|4|2','4|3|2|3','4|3|3|2','4|4|2|2','5|2|2|3','5|2|3|2','5|3|2|2','6|2|2|2'));
	$grid5 = drupal_map_assoc(array('2|2|2|2|4','2|2|2|3|3','2|2|2|4|2','2|2|3|2|3','2|2|3|3|2','2|2|4|2|2','2|3|2|2|3','2|3|2|3|2','2|3|3|2|2','2|4|2|2|2','3|2|2|2|3','3|2|2|3|2','3|2|3|2|2','3|3|2|2|2','4|2|2|2|2'));
	$grid6 = drupal_map_assoc(array('2|2|2|2|2|2'));
	
	$fieldType = "textfield";
	


// THEME =====================================
	$form['theme'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Style'),
		  '#collapsible' => TRUE,
		  '#collapsed' => FALSE,
	);
	
  	$form['theme']['presetstyle'] = array(
	    '#type' => 'select',
	    '#title' => t('Style'),
			'#options' => array(
		  		'preset1' 		=> 'Preset 1',  
		  		'preset2'	 	=> 'Preset 2', 
		  		'preset3'		=> 'Preset 3',  
		  		'preset4'	 	=> 'Preset 4',
		  		'preset5' 		=> 'Preset 5',  
		  		'preset6' 		=> 'Preset 6',
		  		'custom'		=> 'Custom'
		),
		'#default_value' => theme_get_setting('presetstyle'),
		'#description' => t('Select CUSTOM to choose your own styles below.')
  	);
  	
  	$form['theme']['custom'] = array(
  		  '#type' => 'fieldset',
  		  '#title' => t('Custom Settings'),
  		  '#collapsible' => TRUE,
  		  '#collapsed' => FALSE,
  		  '#description' => t('Only used if STYLE is set to CUSTOM.')
  	);

	$form['theme']['custom']['background_level'] = array(
		'#type' => 'select',
		'#title' => t('Background Detail Level'),
		'#options' => array(
				'high' 	=> 'High',  
				'med' 	=> 'Medium', 
				'low' 	=> 'Low'	
		),
		'#description' => t(''),
		'#default_value' => theme_get_setting('background_level')
		);
	
	$form['theme']['custom']['body_level'] = array(
		'#type' => 'select',
		'#title' => t('Body Detail Level'),
		'#options' => array(
				'high' 	=> 'High',  
				'med' 	=> 'Medium', 
				'low' 	=> 'Low'	
		),
		'#description' => t(''),
		'#default_value' => theme_get_setting('body_level')
		);
		
	$form['theme']['custom']['css_style'] = array(
	  '#type' => 'select',
	  '#title' => t('CSS Style'),
			'#options' => array(
		  		'style1'	 	=> 'Style 1',  
		  		'style2'	 	=> 'Style 2', 
		  		'style3'		=> 'Style 3',  
		  		'style4'	 	=> 'Style 4',
		  		'style5' 		=> 'Style 5',  
		  		'style6' 		=> 'Style 6'
		),
		'#default_value' => theme_get_setting('css_style')
	);	
	
	$form['theme']['custom']['link_color'] = array(
	  '#type' => 'textfield',
	  '#title' => t('Link Color'),
	  '#default_value' => theme_get_setting('link_color'),
		'#size' => 10,
		'#required' => TRUE
	);

  	$form['theme']['custom']['font_family'] = array(
	'#type' => 'select',
	'#title' => t('Font family'),
		'#options' => array(
            'default' 	=> 'Default',
            'geneva' 	=> 'Geneva',
            'georgia' 	=> 'Georgia',
            'helvetica' => 'Helvetica',
            'lucida' 	=> 'Lucida',
            'optima' 	=> 'Optima',
            'palatino' 	=> 'Palatino',
            'trebuchet' => 'Trebuchet'
		),
	'#description' => t(''),
	'#default_value' => theme_get_setting('font_family'),
	);
	
	$form['theme']['default_font'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
		'#options' => array(
			'xsmall' => 'Extra Small',
			'small' => 'Small', 
			'default' => 'Default', 
			'large' => 'Large',
			'xlarge' => 'Extra Large'
		),
    '#default_value' => theme_get_setting('default_font'),
  	);
  	

	
	$form['gridlayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Grid Layouts'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('')
	);
	
// TOP REGION LAYOUT =====================================

	$form['gridlayout']['toplayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Top Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['toplayout']['topgrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('topgrid_1')
  	);
	$form['gridlayout']['toplayout']['topgrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('topgrid_2')
  	);
  	$form['gridlayout']['toplayout']['topgrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('topgrid_3')
  	);
	$form['gridlayout']['toplayout']['topgrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('topgrid_4')
  	);
	
	$form['gridlayout']['toplayout']['topgrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('topgrid_5')
  	);
  	$form['gridlayout']['toplayout']['topgrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('topgrid_6')
  	);
// =====================================  

// HEADER REGION LAYOUT =====================================

	$form['gridlayout']['headerlayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Header Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['headerlayout']['headergrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('headergrid_1')
  	);
	$form['gridlayout']['headerlayout']['headergrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('headergrid_2')
  	);
  	$form['gridlayout']['headerlayout']['headergrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('headergrid_3')
  	);
	$form['gridlayout']['headerlayout']['headergrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('headergrid_4')
  	);
	
	$form['gridlayout']['headerlayout']['headergrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('headergrid_5')
  	);
  	$form['gridlayout']['headerlayout']['headergrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('headergrid_6')
  	);
// ===================================== 

// SHOWCASE REGION LAYOUT =====================================

	$form['gridlayout']['showcaselayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Showcase Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['showcaselayout']['showcasegrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('showcasegrid_1')
  	);
	$form['gridlayout']['showcaselayout']['showcasegrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('showcasegrid_2')
  	);
  	$form['gridlayout']['showcaselayout']['showcasegrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('showcasegrid_3')
  	);
	$form['gridlayout']['showcaselayout']['showcasegrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('showcasegrid_4')
  	);
	
	$form['gridlayout']['showcaselayout']['showcasegrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('showcasegrid_5')
  	);
  	$form['gridlayout']['showcaselayout']['showcasegrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('showcasegrid_6')
  	);
// ===================================== 


// FEATURE REGION LAYOUT =====================================

	$form['gridlayout']['featurelayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Feature Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['featurelayout']['featuregrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('featuregrid_1')
  	);
	$form['gridlayout']['featurelayout']['featuregrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('featuregrid_2')
  	);
  	$form['gridlayout']['featurelayout']['featuregrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('featuregrid_3')
  	);
	$form['gridlayout']['featurelayout']['featuregrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('featuregrid_4')
  	);
	
	$form['gridlayout']['featurelayout']['featuregrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('featuregrid_5')
  	);
  	$form['gridlayout']['featurelayout']['featuregrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('featuregrid_6')
  	);
// ===================================== 

// MAINTOP REGION LAYOUT =====================================

	$form['gridlayout']['maintoplayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('MainTop Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['maintoplayout']['maintopgrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('maintopgrid_1')
  	);
	$form['gridlayout']['maintoplayout']['maintopgrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('maintopgrid_2')
  	);
  	$form['gridlayout']['maintoplayout']['maintopgrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('maintopgrid_3')
  	);
	$form['gridlayout']['maintoplayout']['maintopgrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('maintopgrid_4')
  	);
	
	$form['gridlayout']['maintoplayout']['maintopgrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('maintopgrid_5')
  	);
  	$form['gridlayout']['maintoplayout']['maintopgrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('maintopgrid_6')
  	);
// ===================================== 

// MAIN BODY/SIDEBAR LAYOUT =====================================  
	$form['gridlayout']['mainbodylayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Main Body/Sidebar'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Choose the layout for this section (number of grids to span). '),
	);
	$form['gridlayout']['mainbodylayout']['mainbodygrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Region'),
		'#options' => $grid1,
		'#description' => t('MainBody Only'),
    '#default_value' => theme_get_setting('mainbodygrid_1')
  	);
  	$form['gridlayout']['mainbodylayout']['mainbodygrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Regions'),
		'#options' => array(
			'0'   => '6|6 [mb|sb]',
			'1'   => '8|4',
			'2'   => '9|3',
			'3'   => '6|6 [sb|mb]',
			'4'   => '4|8',
			'5'   => '3|9'
		),
		'#description' => t('[Main | Side] OR [Side | Main]'),
    '#default_value' => theme_get_setting('mainbodygrid_2')
  	);
  	$form['gridlayout']['mainbodylayout']['mainbodygrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Regions'),
		'#options' => array(
			'0'   => '6|3|3 [mb|sb|sb]',
			'1'   => '8|2|2 ',
			'2'   => '3|3|6 [sb|sb|mb]',
			'3'   => '2|2|8'
		),
		'#description' => t('[Main | Side | Side] OR [Side | Side | Main]'),
    '#default_value' => theme_get_setting('mainbodygrid_3')
  	);
  	

// ===================================== 

// MAINBOTTOM REGION LAYOUT =====================================

	$form['gridlayout']['mainbottomlayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('MainBottom Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['mainbottomlayout']['mainbottomgrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('mainbottomgrid_1')
  	);
	$form['gridlayout']['mainbottomlayout']['mainbottomgrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('mainbottomgrid_2')
  	);
  	$form['gridlayout']['mainbottomlayout']['mainbottomgrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('mainbottomgrid_3')
  	);
	$form['gridlayout']['mainbottomlayout']['mainbottomgrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('mainbottomgrid_4')
  	);
	
	$form['gridlayout']['mainbottomlayout']['mainbottomgrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('mainbottomgrid_5')
  	);
  	$form['gridlayout']['mainbottomlayout']['mainbottomgrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('mainbottomgrid_6')
  	);
// ===================================== 

// BOTTOM REGION LAYOUT =====================================

	$form['gridlayout']['bottomlayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Bottom Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['bottomlayout']['bottomgrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('bottomgrid_1')
  	);
	$form['gridlayout']['bottomlayout']['bottomgrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('bottomgrid_2')
  	);
  	$form['gridlayout']['bottomlayout']['bottomgrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('bottomgrid_3')
  	);
	$form['gridlayout']['bottomlayout']['bottomgrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('bottomgrid_4')
  	);
	
	$form['gridlayout']['bottomlayout']['bottomgrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('bottomgrid_5')
  	);
  	$form['gridlayout']['bottomlayout']['bottomgrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('bottomgrid_6')
  	);
// ===================================== 

// FOOTER REGION LAYOUT =====================================

	$form['gridlayout']['footerlayout'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Footer Region'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
		  '#description' => t('Select the layouts for this region.  You can choose a default layout for each of the possible block counts. ')
	);
	$form['gridlayout']['footerlayout']['footergrid_1'] = array(
    '#type' => 'select',
    '#title' => t('1 Block'),
		'#options' => $grid1,
		'#description' => t(''),
    '#default_value' => theme_get_setting('footergrid_1')
  	);
	$form['gridlayout']['footerlayout']['footergrid_2'] = array(
    '#type' => 'select',
    '#title' => t('2 Blocks'),
		'#options' => $grid2,
		'#description' => t(''),
    '#default_value' => theme_get_setting('footergrid_2')
  	);
  	$form['gridlayout']['footerlayout']['footergrid_3'] = array(
    '#type' => 'select',
    '#title' => t('3 Blocks'),
		'#options' => $grid3,
		'#description' => t(''),
    '#default_value' => theme_get_setting('footergrid_3')
  	);
	$form['gridlayout']['footerlayout']['footergrid_4'] = array(
    '#type' => 'select',
    '#title' => t('4 Blocks'),
		'#options' => $grid4,
		'#description' => t(''),
    '#default_value' => theme_get_setting('footergrid_4')
  	);
	
	$form['gridlayout']['footerlayout']['footergrid_5'] = array(
    '#type' => 'select',
    '#title' => t('5 Blocks'),
		'#options' => $grid5,
		'#description' => t(''),
    '#default_value' => theme_get_setting('footergrid_5')
  	);
  	$form['gridlayout']['footerlayout']['footergrid_6'] = array(
    '#type' => 'select',
    '#title' => t('6 Blocks'),
		'#options' => $grid6,
		'#description' => t(''),
    '#default_value' => theme_get_setting('footergrid_6')
  	);
// =====================================  	
	


	  
// ELEMENTS =====================================
	 $form['elements'] = array(
	  '#type' => 'fieldset',
	  '#title' => t('Elements'),
	  '#collapsible' => TRUE,
	  '#collapsed' => TRUE,
	);
	

	
	$form['elements']['show_home_content'] = array(
	'#type' => 'checkbox',
	'#title' => t('Show Home Content'),
	'#default_value' => theme_get_setting('show_home_content')
	);
	
	
	$form['elements']['show_breadcrumb'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show breadcrumb'),
    '#default_value' => theme_get_setting('show_breadcrumb')
	);
	
	$form['elements']['show_copyright'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show Copyright'),
    '#default_value' => theme_get_setting('show_copyright')
	);
	$form['elements']['fontspan'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable Font Span'),
    '#default_value' => theme_get_setting('fontspan')
	);
	$form['elements']['enable_ie6warn'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable IE6 Warning Message'),
    '#default_value' => theme_get_setting('enable_ie6warn')
	);

	
	$form['elements']['copyright_text'] = array(
	    '#type' => 'textfield',
	    '#title' => t('Copyright Text'),
	 	'#prefix' => '<div class="escaped">',
	 	'#suffix' => '</div>',
	    '#default_value' => theme_get_setting('copyright_text'),
		'#size' => 70,
		'#required' => TRUE
	);
	
	$form['elements']['top_tab_content'] = array(
	    '#type' => 'textfield',
	    '#title' => t('Top Tab Label'),
	 	'#prefix' => '<div class="escaped">',
	 	'#suffix' => '</div>',
	    '#default_value' => theme_get_setting('top_tab_content'),
		'#size' => 70,
		'#required' => FALSE
	);
	
	$form['elements']['bottom_tab_content'] = array(
	    '#type' => 'textfield',
	    '#title' => t('Bottom Tab Label'),
	 	'#prefix' => '<div class="escaped">',
	 	'#suffix' => '</div>',
	    '#default_value' => theme_get_setting('bottom_tab_content'),
		'#size' => 70,
		'#required' => FALSE
	);
  
 
  // Return the additional form widgets
  return $form;
	
}


